IPCMK(1)

BEZEICHNUNG
ipcmk - verschiedene IPC-Ressourcen erzeugen

ÜBERSICHT

ipcmk [Optionen]

BESCHREIBUNG

ipcmk ermöglicht Ihnen die Erzeugung von IPC-Objekten (POSIX- und System-V-Interprozess-Kommunikation): gemeinsam genutzte Speicherbereiche, Nachrichtenwarteschlangen oder Semaphor-Felder (Arrays für System V).

OPTIONEN

Ressourcen können wie folgt angegeben werden:

-M, --shmem Größe
    erzeugt einen gemeinsam genutzten Speicherbereich mit Größe Byte. Auf das Argument Größe können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB etc. folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB etc.

-m, --posix-shmem Größe
    erzeugt einen gemeinsam genutzten POSIX-Speicherbereich mit Größe Byte. Auf das Argument Größe können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB etc. folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB etc.

-Q, --queue
    erstellt eine Nachrichtenwarteschlange.

-q, --posix-mqueue
    erstellt eine POSIX-Nachrichtenwarteschlange.

-S, --semaphore Anzahl
    erzeugt ein Semaphor-Feld mit der angegebenen Anzahl Elemente.

-s, --posix-semaphore
    erzeugt einen POSIX-benannten Semaphor.

-n, --name Name
    gibt den Namen des POSIX-IPC-Objekts an. Diese Option ist für POSIX-IPC-Objekte obligatorisch.

Weitere Optionen sind:

-p, --mode Modus
    setzt die Zugriffsrechte für die Ressource (Vorgabe ist 0644).

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

AUTOREN

SIEHE AUCH

ipcrm(1), ipcs(1), lsipc(1), sysvipc(7)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl ipcmk ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.